### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-timeline/ecl-timeline.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`OnInit` `AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-timeline`
styles | `:host { display: block; }`
templateUrl | `ecl-timeline.component.html`

### Index

###### Properties

- attrRole
- timelineItems

###### Methods

- getCssClasses

###### Inputs

- class
- e2eAttr

###### HostBindings

- attr.role
- class

###### Accessors

- cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

attr.role
Type : `string`
Default value : `'list'`

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

attrRole
Type : `string`
Default value : `'list'`
Decorators : `@HostBinding('attr.role')`

timelineItems
Type : `QueryList<EclTimelineItemComponent>`
Decorators : `@ContentChildren(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""